Get Payment Term
curl --request GET \
--url https://qwoty.app/api/payment-terms/{id} \
--header 'Authorization: <authorization>'import requests
url = "https://qwoty.app/api/payment-terms/{id}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://qwoty.app/api/payment-terms/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Net 30 Days",
"api_name": "net_30_days",
"reference": "PT001",
"is_active": true,
"id_crm": "crm_123",
"id_erp": "erp_456",
"id_accounting": "acc_789",
"installments": [
{
"id": "660e8400-e29b-41d4-a716-446655440001",
"name": "Full Payment",
"percentage": 100,
"term": "net30",
"custom_text": null,
"order_number": 1
}
],
"created_at": "2024-12-21T10:30:00Z",
"updated_at": "2024-12-21T10:30:00Z"
}
}
Payment Terms
Get Payment Term
Retrieve a specific payment term by ID
GET
/
api
/
payment-terms
/
{id}
Get Payment Term
Authorization
string
required
Bearer token for authentication. Format:
Bearer qwoty_your_tokenPath Parameters
string
required
UUID of the payment term
Examples
curl https://qwoty.app/api/payment-terms/550e8400-e29b-41d4-a716-446655440000 \
-H "Authorization: Bearer qwoty_your_token"
const paymentTermId = '550e8400-e29b-41d4-a716-446655440000'
const response = await fetch(
`https://qwoty.app/api/payment-terms/${paymentTermId}`,
{
headers: {
Authorization: 'Bearer qwoty_your_token',
},
},
)
const data = await response.json()
import requests
payment_term_id = '550e8400-e29b-41d4-a716-446655440000'
response = requests.get(
f'https://qwoty.app/api/payment-terms/{payment_term_id}',
headers={
'Authorization': 'Bearer qwoty_your_token'
}
)
data = response.json()
Response
boolean
Indicates if the request was successful
object
The payment term object
Show Payment Term Object
Show Payment Term Object
string
Unique identifier (UUID)
string
Payment term name
string
API identifier
string
Internal reference
boolean
Active status
string
External CRM ID
string
External ERP ID
string
External accounting ID
array
Array of installment objects with id, name, percentage, term, custom_text, and order_number
string
ISO 8601 timestamp
string
ISO 8601 timestamp
{
"success": true,
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Net 30 Days",
"api_name": "net_30_days",
"reference": "PT001",
"is_active": true,
"id_crm": "crm_123",
"id_erp": "erp_456",
"id_accounting": "acc_789",
"installments": [
{
"id": "660e8400-e29b-41d4-a716-446655440001",
"name": "Full Payment",
"percentage": 100,
"term": "net30",
"custom_text": null,
"order_number": 1
}
],
"created_at": "2024-12-21T10:30:00Z",
"updated_at": "2024-12-21T10:30:00Z"
}
}
Error Responses
{
"success": false,
"error": "Payment term not found"
}
{
"success": false,
"error": "Invalid API token"
}
{
"success": false,
"error": "Invalid payment term ID format"
}
Was this page helpful?
⌘I

